/*---------------------------------------------------------------------------------
 bbEdgeHook ( 2004 Slade Taylor [bladestaylor@yahoo.com])
 ----------------------------------------------------------------------------------
 bbEdgeHook is a plugin for Blackbox for Windows.  For more information,
 please visit [http://bb4win.org] or [http://sourceforge.net/projects/bb4win].
 ----------------------------------------------------------------------------------
 bbEdgeHook is free software, released under the GNU General Public License,
 version 2, as published by the Free Software Foundation.  It is distributed
 WITHOUT ANY WARRANTY--without even the implied warranty of MERCHANTABILITY
 or FITNESS FOR A PARTICULAR PURPOSE.  Please see the GNU General Public
 License for more details:  [http://www.fsf.org/licenses/gpl.html].
 --------------------------------------------------------------------------------*/

#include "stdafx.h"
#include "xutil.h"

//---------------------------------------------------------------------------------

bool WINAPI DllMain(HINSTANCE hinstance, DWORD fdwReason, LPVOID lpvReserved)
{
    if (fdwReason == DLL_PROCESS_ATTACH)
        DisableThreadLibraryCalls(hinstance);
    return true;
}

//---------------------------------------------------------------------------------

void Start() { SystemMenuItem::Startup(); }

//---------------------------------------------------------------------------------

void End() { SystemMenuItem::Shutdown(); }

//---------------------------------------------------------------------------------

void RC_Int(char *path, char *label, long *target, int default_val)
{
    *target = ReadInt(path, label, default_val);
    WriteInt(path, label, *(int*)target);
}

//---------------------------------------------------------------------------------

void RC_Bool(char *path, char *label, bool *target, bool default_val)
{
    *target = ReadBool(path, label, default_val);
    WriteBool(path, label, *target);
}

//---------------------------------------------------------------------------------
